<?php


namespace App\ViewModels\ProcedimentoValor\ProcedimentoValorUpdateViewModel;


use App\Utils\Entity;

class ProcedimentoValorUpdateViewModel extends Entity
{

    protected $valor;
    protected $valor_interno;
    protected $valor_repasse_medico;

    public static function builder() : ProcedimentoValorUpdateViewModelBuilder
    {
        return new ProcedimentoValorUpdateViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getValorRepasseMedico()
    {
        return $this->valor_repasse_medico;
    }

    /**
     * @param mixed $valor_repasse_medico
     */
    public function setValorRepasseMedico($valor_repasse_medico): void
    {
        $this->valor_repasse_medico = $valor_repasse_medico;
    }

    /**
     * @return mixed
     */
    public function getValor()
    {
        return $this->valor;
    }

    /**
     * @param mixed $valor
     */
    public function setValor($valor): void
    {
        $this->valor = $valor;
    }
    
    /**
     * @return mixed
     */
    public function getValorInterno()
    {
    	return $this->valor_interno;
    }
    
    /**
     * @param mixed $valor
     */
    public function setValorInterno($valorInterno): void
    {
    	$this->valor_interno = $valorInterno;
    }

}